summaryrefslogtreecommitdiffstats
path: root/modules.d/95znet/module-setup.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-08-26 10:33:12 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-08-26 10:33:12 +0000
commitc00ecb2892f783ed18c2f62772665d86ea66a252 (patch)
treed4f8f0a3e76745c861141e462bd80850187bb88e /modules.d/95znet/module-setup.sh
parentReleasing progress-linux version 102-3~progress7.99u1. (diff)
downloaddracut-c00ecb2892f783ed18c2f62772665d86ea66a252.tar.xz
dracut-c00ecb2892f783ed18c2f62772665d86ea66a252.zip
Merging upstream version 103.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'modules.d/95znet/module-setup.sh')
-rwxr-xr-xmodules.d/95znet/module-setup.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/modules.d/95znet/module-setup.sh b/modules.d/95znet/module-setup.sh
index 95164bb..3b5ed60 100755
--- a/modules.d/95znet/module-setup.sh
+++ b/modules.d/95znet/module-setup.sh
@@ -3,7 +3,7 @@
# called by dracut
check() {
arch=${DRACUT_ARCH:-$(uname -m)}
- [ "$arch" = "s390" -o "$arch" = "s390x" ] || return 1
+ [ "$arch" = "s390" ] || [ "$arch" = "s390x" ] || return 1
require_binaries grep sed seq readlink chzdev || return 1
@@ -45,14 +45,12 @@ install() {
# shellcheck disable=SC2155
local _nullglob=$(shopt -p nullglob)
shopt -u nullglob
- # shellcheck disable=SC2086
readarray -t _array < <(
- ls -1 $initdir/etc/udev/rules.d/41-*.rules 2> /dev/null
+ ls -1 "$initdir"/etc/udev/rules.d/41-*.rules 2> /dev/null
)
[[ ${#_array[@]} -gt 0 ]] && mark_hostonly "${_array[@]#$initdir}"
- # shellcheck disable=SC2086
readarray -t _array < <(
- ls -1 $initdir/etc/modprobe.d/s390x-*.conf 2> /dev/null
+ ls -1 "$initdir"/etc/modprobe.d/s390x-*.conf 2> /dev/null
)
[[ ${#_array[@]} -gt 0 ]] && mark_hostonly "${_array[@]#$initdir}"
$_nullglob